USRP Hardware Driver and USRP Manual: uhd::tx_metadata_t Struct Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::tx_metadata_t Struct Reference

`#include <uhd/types/metadata.hpp>`

## Public Member Functions
| tx_metadata_t (void)

## Public Attributes
bool | has_time_spec
time_spec_t | time_spec
| When to send the first sample.
bool | start_of_burst
| Set start of burst to true for the first packet in the chain.
bool | end_of_burst
| Set end of burst to true for the last packet in the chain.
size_t * | eov_positions = nullptr
size_t | eov_positions_size = 0

## Detailed Description

TX metadata structure for describing received IF data. Includes time specification, and start and stop burst flags. The send routines will convert the metadata to IF data headers.

## Constructor & Destructor Documentation

## ◆ tx_metadata_t()

uhd::tx_metadata_t::tx_metadata_t | ( | void |  | ) |

The default constructor: Sets the fields to default values (flags set to false).

## Member Data Documentation

## ◆ end_of_burst

bool uhd::tx_metadata_t::end_of_burst

Set end of burst to true for the last packet in the chain.

## ◆ eov_positions

size_t* uhd::tx_metadata_t::eov_positions = nullptr

If this pointer is not null, it specifies the address of an array of size_ts specifying the sample offset relative to the beginning of the call to send() where an EOV should be signalled.

The caller is responsible for allocating and deallocating the storage for the array and for indicating the maximum number of elements in the array via the eov_positions_size value below.

## ◆ eov_positions_size

size_t uhd::tx_metadata_t::eov_positions_size = 0

## ◆ has_time_spec

bool uhd::tx_metadata_t::has_time_spec

Has time specification?

- Set false to send immediately.
- Set true to send at the time specified by time spec.

## ◆ start_of_burst

bool uhd::tx_metadata_t::start_of_burst

Set start of burst to true for the first packet in the chain.

## ◆ time_spec

time_spec_t uhd::tx_metadata_t::time_spec

When to send the first sample.

The documentation for this struct was generated from the following file:

- metadata.hpp